## org.eclipse.emf.cdo.view
Interface CDOFeatureAnalyzer

    public interface CDOFeatureAnalyzer

TODO Simon: JavaDoc

Since:
  2.0

Field Summary
`static CDOFeatureAnalyzer` `NOOP` TODO Simon: JavaDoc

Method Summary
`void` `postTraverseFeature(CDOObject revision, org.eclipse.emf.ecore.EStructuralFeature feature, int index, java.lang.Object value)` TODO Simon: JavaDoc
`void` `preTraverseFeature(CDOObject revision, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` TODO Simon: JavaDoc

Field Detail

### NOOP

    static final CDOFeatureAnalyzer NOOP

  TODO Simon: JavaDoc

Method Detail

### preTraverseFeature

    void preTraverseFeature(CDOObject revision,
                            org.eclipse.emf.ecore.EStructuralFeature feature,
                            int index)

  TODO Simon: JavaDoc

  Since:
    2.0

### postTraverseFeature

    void postTraverseFeature(CDOObject revision,
                             org.eclipse.emf.ecore.EStructuralFeature feature,
                             int index,
                             java.lang.Object value)

  TODO Simon: JavaDoc

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.